
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>《Spark大数据分析：核心概念、技术及实践》一3.9　共享变量 / iVAN</title>

    <meta name="description" content="《Spark大数据分析：核心概念、技术及实践》一3.9　共享变量  本节书摘来自华章出版社&lt;Spark大数据分析:核心概念.技术及实践&gt;一书中的第3章,第3.9节,作者[美] 穆罕默德·古勒(Mohammed Guller),更多章节内容可以访问&quot;华章计算机&quot;公众号查看. 3.9 共享变量 Spark使用的架构是无共享的.数据分布在集群的各个节点上,每个节点都有自己的CPU.内存和存储资源.没有全局的内存空间用于任务间共享.驱动程序和任务之间通过消息共享数据. 举例来说,如果一个RDD操作的函数参数是驱动程序中变量的引用,Spa ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">《Spark大数据分析：核心概念、技术及实践》一3.9　共享变量</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p> 本节书摘来自华章出版社《Spark大数据分析：核心概念、技术及实践》一书中的第3章，第3.9节，作者[美]　穆罕默德·古勒（Mohammed Guller），更多章节内容可以访问“华章计算机”公众号查看。</p>
<p>3.9　共享变量</p>
<p>Spark使用的架构是无共享的。数据分布在集群的各个节点上，每个节点都有自己的CPU、内存和存储资源。没有全局的内存空间用于任务间共享。驱动程序和任务之间通过消息共享数据。</p>
<p>举例来说，如果一个RDD操作的函数参数是驱动程序中变量的引用，Spark会将这个变量的副本以及任务一起发送给执行者。每个任务都有一份变量的副本并把它当成只读变量使用。任何对这个变量的更新都只存在任务的内部，改动并不会回传给驱动程序。而且Spark会把这个变量在每一个阶段的开始发送给worker节点。</p>
<p>对于一些应用而言，这种默认行为是低效的。在一个实际的使用场景中，驱动程序在作业的任务间共享了一个巨大的查找表。而这个作业由多个阶段构成。默认情况下，Spark会自动将这个变量及其相关任务发送给每个执行者。然而，Spark会在每个阶段做这件事。如果这个查找表存储了100MB的数据，并且这个作业涉及10个阶段，那么Spark就会给每个worker节点发送10次100MB的相同数据。</p>
<p>另外一个使用场景是在每个运行在不同节点上的任务中需要更新全局变量。默认情况下，任务中对变量的更新是不会回传给驱动程序的。</p>
<p>Spark通过共享变量的概念来满足这些使用场景的需求。</p>
<p>3.9.1　广播变量</p>
<p>广播变量的使用使得Spark应用可以有效地在驱动程序和执行作业的任务之间共享数据。Spark只会给worker节点发送一次广播变量，并且将它反序列化成只读变量存储在执行者的内存中。而且，Spark采用一种更高效的算法来发布广播变量。</p>
<p>注意，如果一个作业由多个阶段构成，且阶段中的任务使用同一个驱动程序的变量，那么使用广播变量是十分有用的。如果你不想在开始执行每个任务之前反序列化变量，使用广播变量也是有益的。默认情况下，Spark会将传输过来的变量以序列化的形式缓存在执行者的内存中，在开始执行任务之前再反序列化它。</p>
<p>SparkContext 类提供了一个叫作broadcast的方法用于创建广播变量。它把一个待广播的变量作为参数，返回一个Broadcast类实例。一个任务必须使用Broadcast对象的value方法才可以获取广播变量的值。</p>
<p>考虑这样一个应用，它根据电商交易信息生成交易详情。在现实世界的应用中会有一张顾客表、一张商品表和一张交易表。为了简化起见，我们直接用一些简单的数据结构来代替这些表作为输入数据。</p>
<p> </p>
<p>使用广播变量使得我们可以高效地实现顾客数据、商品数据和交易数据之间的连接。我们可以通过使用RDD API来实现连接操作，但是这会在网络间对顾客数据、商品数据和交易数据做shuffle操作。使用广播变量，我们使得Spark只将顾客数据和商品数据发送给每个节点一次，并且用简单的map操作来代替耗时的join操作。</p>
<p>3.9.2　累加器</p>
<p>累加器是只增变量，它可以被运行在不同节点上的任务更改并且被驱动程序读取。它可以用于计数器和聚合操作。Spark提供了数值类型的累加器，也支持创建自定义类型的累加器。</p>
<p>SparkContext类提供了一个叫作accumulator的方法用于创建累加器变量。它有两个参数。第一个参数是累加器的初值，第二个是在Spark UI中显示的名字，这是一个可选参数。它返回一个Accumulator类实例。这个类实例为操作累加器变量提供操作符。任务只能采用add方法或者+=操作符来增加累加器变量的值。只有驱动程序可以通过value方法来获取累加器的值。</p>
<p>考虑这样一个应用，它需要从顾客表中过滤出不合法的顾客并计数。在现实世界的应用中，我们会从硬盘中读取数据并将过滤后的数据写入到硬盘中的另外一个文件。为简化起见，我们跳过读写硬盘的部分。</p>
<p> </p>
<p> </p>
<p>在使用累加器的时候需要注意，转换操作期间对累加器的更新无法保证恰好只有一次。如果一个任务或一个阶段重复执行，每一个任务的更新操作就会多次执行。</p>
<p>而且，对累加器的更新操作并不是在RDD的操作方法被调用时才执行的。RDD的转换操作是惰性的，转换操作中对累加器的更新并不会立即执行。因此，如果驱动程序在操作方法被调用之前就使用累加器的值，那么它将得到一个错误的值。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-21 06:16:11</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%ad%98%e5%82%a8/" title="存储">存储</a>, <a href="https://www.iamivan.net/tag/%e4%ba%91%e6%a0%96%e7%a4%be%e5%8c%ba/" title="云栖社区">云栖社区</a>, <a href="https://www.iamivan.net/tag/%e7%94%b5%e5%95%86/" title="电商">电商</a>, <a href="https://www.iamivan.net/tag/spark/" title="spark">spark</a>, <a href="https://www.iamivan.net/tag/%e5%a4%a7%e6%95%b0%e6%8d%ae%e5%88%86%e6%9e%90/" title="大数据分析">大数据分析</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>《Spark大数据分析：核心概念、技术及实践》一3.9　共享变量的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze7OLxM.html" rel="bookmark">《Spark大数据分析：核心概念、技术及实践》大数据技术一览</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本节书摘来自华章出版社&lt;Spark大数据分析:核心概念.技术及实践&gt;一书中的第1章,第1节,作者穆罕默德·古勒(Mohammed Guller)更多章节内容可以访问&quot;华章计算机&quot;公众号查看. 大数据技术一览 我们正处在大数据时代.数据不仅是任何组织的命脉,而且在指数级增长.今天所产生的数据比过去几年所产生的数据大好几个数量级.挑战在于如何从数据中获取商业价值.这就是大数据相关技术想要解决的问题.因此,大数据已成为过去几年最热门的技术趋势之一.一些非常活跃的开源项目都与大数据			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pP8DWmp.html" rel="bookmark">《Spark大数据分析：核心概念、技术及实践》Scala编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本节书摘来自华章出版社&lt;Spark大数据分析:核心概念.技术及实践&gt;一书中的第1章,第2节,作者穆罕默德·古勒(Mohammed Guller)更多章节内容可以访问&quot;华章计算机&quot;公众号查看. Scala编程 Scala是当前热门的现代编程语言之一.它是编程语言界的凯迪拉克.它是一门强大且优美的语言.学会了它,对你的职业生涯大有裨益. 用不同的编程语言都可以编写大数据应用程序,比如Java.Python.C++.Scala等.Hadoop本身就是用Java编写的.尽管大多数的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlQGn8p.html" rel="bookmark">《Spark大数据分析：核心概念、技术及实践》Spark Core</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本节书摘来自华章出版社&lt;Spark大数据分析:核心概念.技术及实践&gt;一书中的第1章,第节,作者穆罕默德·古勒(Mohammed Guller)更多章节内容可以访问&quot;华章计算机&quot;公众号查看. Spark Core Spark是大数据领域最活跃的开源项目,甚至比Hadoop还要热门.如第1章所述,它被认为是Hadoop的继任者.Spark的使用率大幅增长.很多组织正在用Spark取代Hadoop. 从概念上看,Spark类似于Hadoop,它们都用于处理大数据.它们都能用商用硬			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bB1REKz.html" rel="bookmark">《Spark大数据分析：核心概念、技术及实践》一 第2章 Scala编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  本节书摘来自华章出版社&lt;Spark大数据分析:核心概念.技术及实践&gt;一书中的第2章,第2.1节,作者[美] 穆罕默德·古勒(Mohammed Guller),更多章节内容可以访问&quot;华章计算机&quot;公众号查看. 第2章 Scala编程 Scala是当前热门的现代编程语言之一.它是编程语言界的凯迪拉克.它是一门强大且优美的语言.学会了它,对你的职业生涯大有裨益. 用不同的编程语言都可以编写大数据应用程序,比如Java.Python.C++.Scala等.Hadoop本身就是用J			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bodEmEM.html" rel="bookmark">《Spark大数据分析：核心概念、技术及实践》一 1&period;3　列存储</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  本节书摘来自华章出版社&lt;Spark大数据分析:核心概念.技术及实践&gt;一书中的第1章,第1.3节,作者[美] 穆罕默德·古勒(Mohammed Guller),更多章节内容可以访问&quot;华章计算机&quot;公众号查看. 1.3 列存储 数据可以面向行或面向列的格式来存储.在面向行格式中,一行的所有列或字段存储在一起.这里的一行,可以是CSV文件中的一行,或者是数据库表中的一条记录.当数据以面向行格式保存时,第一行后面是第二行,接着是第三行,以此类推.面向行存储对于主要执行数据的CRU			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDn8kvM.html" rel="bookmark">《Spark大数据分析：核心概念、技术及实践》一3&period;8　Spark作业</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 本节书摘来自华章出版社&lt;Spark大数据分析:核心概念.技术及实践&gt;一书中的第3章,第3.8节,作者[美] 穆罕默德·古勒(Mohammed Guller),更多章节内容可以访问&quot;华章计算机&quot;公众号查看. 3.8 Spark作业 RDD上的转换.操作和缓存方法构成了Spark应用的基础.从本质上说,RDD描述了Spark编程模型.既然我们介绍过了编程模型,那么接下来我们介绍在Spark应用中这些是怎么结合在一起的. 作业指的是Spark将要执行的一些计算,它们将操作的结果			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAE4knM.html" rel="bookmark">《Spark大数据分析：核心概念、技术及实践》一3&period;6　惰性操作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 本节书摘来自华章出版社&lt;Spark大数据分析:核心概念.技术及实践&gt;一书中的第3章,第3.6节,作者[美] 穆罕默德·古勒(Mohammed Guller),更多章节内容可以访问&quot;华章计算机&quot;公众号查看. 3.6 惰性操作 RDD的创建和转换方法都是惰性操作.当应用调用一个返回RDD的方法的时候,Spark并不会立即执行运算.比如,当你使用SparkContext的textFile方法从HDFS中读取文件时,Spark并不会马上从硬盘中读取文件.类似地,RDD转换操作(它			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdy1m2z.html" rel="bookmark">《Spark大数据分析：核心概念、技术及实践》一3&period;10　总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 本节书摘来自华章出版社&lt;Spark大数据分析:核心概念.技术及实践&gt;一书中的第3章,第3.10节,作者[美] 穆罕默德·古勒(Mohammed Guller),更多章节内容可以访问&quot;华章计算机&quot;公众号查看. 3.10 总结 Spark是一个快速.可扩展.可容错且基于内存的集群计算框架.一个Spark应用可以比Hadoop应用快上100倍. Spark不但快速而且它能很方便地使用mapReduce.通过不同语言(包括Java.Python.Scala和R)的易读的API,它			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEKaYLp.html" rel="bookmark">《Spark大数据分析：核心概念、技术及实践》一1&period;7　总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  本节书摘来自华章出版社&lt;Spark大数据分析:核心概念.技术及实践&gt;一书中的第1章,第1.7节,作者[美] 穆罕默德·古勒(Mohammed Guller),更多章节内容可以访问&quot;华章计算机&quot;公众号查看. 1.7 总结 近年来数据的指数级增长给许多大数据技术带来了机会.传统的专有产品要么无法处理大数据,要么代价太昂贵.这就为开源大数据技术打开了一扇门.仅仅在过去几年里,这个领域的快速创新已经催生出很多新产品.大数据领域如此之大,以至于可以写一本书专门来介绍各种各样的大数			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1w2rz.html" rel="bookmark" class="title">SQRT1</a>
					<div>
						  返回 0.5 的平方根,或说 2 的平方根分之一. numVar = Math.SQRT1_2 说明 SQRT1_2 属性,常数,约等于0.707. 要求 版本 1 请参阅 Math 对象属性 | ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZen5p.html" rel="bookmark" class="title">简单易用的计数器（数据库）</a>
					<div>
						用法 &lt;? include(&quot;counter.php&quot;); Counter(__FILE__);//为文件增加一个计数 if($PHP_SELF==&quot;/index. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNB7NM.html" rel="bookmark" class="title">百度7&period;27更新数据反常分析</a>
					<div>
						早上起来查询网站SEO数据的时候吓我一跳,昨天晚上百度的更新让我的网站数据变的不正常,网站收录数量上涨了将近一半.但主要还是在于百度反链的增长幅度上.相信很多站长的网站昨天晚上的收录数量与外链数量肯定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQEm0b.html" rel="bookmark" class="title">高文良：对SEO培训行业的一些见解</a>
					<div>
						不知道从什么时候开始有了培训这个行业,也不知道是从什么时候开始互联网上面的seo培训行业变的如此诱人,许许多多自认为掌握了一定seo能力的人员.团队纷纷加入这一行列,开始他们的互联网创业之路.如果能招 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOOWwb.html" rel="bookmark" class="title">cookie对象简介</a>
					<div>
						什么是cookie cookie 的英文本意是指就着牛奶一起吃的点心.然而,在因特网内,&quot;cookie&quot;这个字有了完全不同的意思.那么&quot;cookie&quot;到底是什么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKKEEM.html" rel="bookmark" class="title">php中实现将姓名拆分为姓氏和名字</a>
					<div>
						之前有分享了用javascript在客户端进行姓名拆分的方法,后应项目需要,又用PHP实现了,贴出来 跟大家分享交流: /** * 把全名拆分为姓氏和名字 * @param string $fulln ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6Jg3z.html" rel="bookmark" class="title">Windows7中利用库来管理文件</a>
					<div>
						在Windows7 操作系统中,提供了另外一种全新的文件管理方式即通过库来管理文件.如下图,就是库 管理界面的一个截图. 插图:Windows7中利用库来管理文件 这是Windows7操作系统中新推出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLy12b.html" rel="bookmark" class="title">探索Eclipse的ASTParser</a>
					<div>
						Eclipse JDT 能提供什么帮助 Eclipse JDT 提供了操纵 Java 源代码.检测错 误.执行编译和启动程序的的 API.本文将说明如何使用 ASTParser 从头创建一个 Java ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7k3E5z.html" rel="bookmark" class="title">小米路由器怎么限速</a>
					<div>
						  1.打开浏览器在电脑中地址栏输入 http://miwifi.com 页面,如图所示 2.输入管理员密码后,在首页会显示实时网速,及连接小米路由器的终端个数 3.在首页中,找到&quot;高级设置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72kmZp.html" rel="bookmark" class="title">Word文档全屏显示的方法</a>
					<div>
						  1.启动Word 2013并打开需要的文档,在&quot;开发工具&quot;选项卡的&quot;控件&quot;组中单击&quot;旧式工具&quot;按钮,在打开列表的&quot;Active ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLadVRz.html" rel="bookmark" class="title">xp纯净版系统修改命令提示符默认位置的方法</a>
					<div>
						xp纯净版系统修改命令提示符默认位置的方法   具体如下: 1.在Windows XP中,单击&quot;开始→所有程序→附件→命令提示符&quot;,即可打开命令提示符窗口,默认情况下系统会定位到& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRw5A3p.html" rel="bookmark" class="title">桌面单击右键无新建文件夹选项</a>
					<div>
						  桌面上单击右键无新建,排列图表等选项(只有刷新,粘贴,撤消粘贴,属性,4个选项) 打开D盘点左边的创建一个新的文件夹也不管用. reg add HKEY_CLASSES_ROOT/Director ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5o137b.html" rel="bookmark" class="title">ThinkPHP查询语句与关联查询用法实例&lowbar;php实例</a>
					<div>
						本文实例讲述了ThinkPHP查询语句与关联查询用法.分享给大家供大家参考.具体如下: 在thinkphp框架页面中我们可以直接拼写sql查询语句来实现数据库查询读写操作,下面就对此加以实例说明. 普 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3wn4z.html" rel="bookmark" class="title">pstorecreateinstance-用IPStore接口获取IE自动保存的用户名密码</a>
					<div>
						问题描述 用IPStore接口获取IE自动保存的用户名密码 用IPStore接口获取IE自动保存的用户名密码: //动态加载pstorec.dll,得到PStoreCreateInstance函数地址 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YNooM.html" rel="bookmark" class="title">android-Android应用是如何实现按功能分类的</a>
					<div>
						问题描述 Android应用是如何实现按功能分类的 列表&quot;&gt; 解决方案 应该是每个应用就有个诸如标签之类的属性这个属性应该是人为分配好的,毕竟这也不是什么复杂的工作然后系统根据这个标签 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32nXkz.html" rel="bookmark" class="title">P6Spy &amp;amp&semi;amp&semi;amp&semi; IronTrack SQL 问题！向大家请教</a>
					<div>
						问题描述 tomcat6下配置P6Spy&amp;IronTrackSQL1.复制附件中的的irontracksql.jar.log4j-***.jar到需要sql监控的应用程序的lib目录里面,we ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgExkb.html" rel="bookmark" class="title">技术干货：工欲善其事，必先利其器 阿里云数据库系列谈之一</a>
					<div>
						本文作者:驻云科技,禹涛 引言 &lt;论语·魏灵公&gt;曰:&quot;工欲善其事,必先利其器.居是邦也,事其大夫之贤者,友其士之仁者&quot;.第一句话的意思是工匠想要使他的工作做好,一定要先 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrX8R1z.html" rel="bookmark" class="title">了解Java 8功能如何让并发性编程变得更容易</a>
					<div>
						在期待已久的 Java 8 版本中,并发性方面已实现了许多改进,其中包括在java.util.concurrent 层级中增加新的类和强大的新并行流 功能.设计流的目的是与lambda 表达式 共同使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXnYWz.html" rel="bookmark" class="title">Linux基础命令：less命令</a>
					<div>
						less命令 less命令和more的功能几乎差不多,只是多了一些功能.更适用阅读较长较大的文件.使用方法也是less [文件名]. 还是以查看&quot;/etc&quot;目录下的&quot;in ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgLDkb.html" rel="bookmark" class="title">java树形查询的问题，大虾帮帮忙，急~~</a>
					<div>
						问题描述 用递归方法查询,,,查单个就能查的出(如图),可是查全部的全部要怎样改(返回一个List集合),??? 解决方案 解决方案二:没人吗??明天去公司又惨了					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjLROM.html" rel="bookmark" class="title">五大最佳性能的FTP客户端工具大比拼</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 上一次我们说到如何选择好的空间商, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDn03BM.html" rel="bookmark" class="title">互联网化已经成为中国企业的一种发展趋势</a>
					<div>
						&quot;现阶段,中国大型企业众多核心应用的互联网化已经成为中国企业的一种发展趋势.在这过程中,面对互联网访问的诸多制约,比如南北运营商之间的访问瓶颈.骨干网络抖动.安全问题以及国际间网络不稳定等, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRqO2p.html" rel="bookmark" class="title">浅析如何利用新思路去优化苦逼的图片站</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 网站的类型多种多样,从企业类站到产 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZaQop.html" rel="bookmark" class="title">Java 文件上传下载管理器&lpar;控制台&rpar;</a>
					<div>
						文件上传下载管理器项目技术 JDBC + IO + Socket 实现功能 客户端注册:通过输入用户名,密码,确认密码并且校验完成以后将用户信息储存在数据库中. 客户端登录:通过输入用户名和密码到数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKW3yM.html" rel="bookmark" class="title">jQuery基于函数重载实现自定义Alert函数样式的方法&lowbar;jquery</a>
					<div>
						本文实例讲述了jQuery基于函数重载实现自定义Alert函数样式的方法.分享给大家供大家参考,具体如下: (function(){ window.alert = function(text) { t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mlm4xap.html" rel="bookmark" class="title">文件上传插件SWFUpload的使用指南&lowbar;javascript技巧</a>
					<div>
						SWFUpload是一个flash和js相结合而成的文件上传插件,其功能非常强大.以前在项目中用过几次,但它的配置参数太多了,用过后就忘记怎么用了,到以后要用时又得到官网上看它的文档,真是太烦了.所以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn85mjb.html" rel="bookmark" class="title">SQLServer 参数化查询经验分享&lowbar;MsSql</a>
					<div>
						什么是参数化查询? 一个简单理解参数化查询的方式是把它看做只是一个T-SQL查询,它接受控制这个查询返回什么的参数.通过使用不同的参数,一个参数化查询返回不同的结果.要获得一个参数化查询,你需要以一种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1xAZb.html" rel="bookmark" class="title">web端 集成 视频</a>
					<div>
						问题描述 环信能在web端集成视频即时通讯吗?我看开发文档上没有写啊? 解决方案 webim 现在不支持实时音视频					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6GKVXp.html" rel="bookmark" class="title">求助  用vs编辑js的问题</a>
					<div>
						问题描述 在vs里如何实现像c#那样输入for按两下tab直接补全后续代码的功能? 解决方案 解决方案二:我咋从来没有想过要这样的tab键呢?晕!我在我的vs2015的js文件上,在for后边按tab ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDka5Bp.html" rel="bookmark" class="title">有劳各位大侠了帮我解决一个简单的问题</a>
					<div>
						问题描述 1.从EXCEL表中选取需要的Book;2.对选中的book进行数据整理.即对每个book同一列数据日期对应的情况下,求平均值.麻烦各位高手了.					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
